from django.db import models

from quotations.models import Quotation

class Warranty(models.Model):
    quotation = models.ForeignKey(Quotation, on_delete=models.CASCADE, related_name='warranty_set', null=True, blank=True)  # ForeignKey to Quotation
    description = models.TextField(null=True, blank=True)
    warranty_pdf = models.FileField(upload_to='warranty_pdfs/',null=True, blank=True)

    def __str__(self):
        return f"Warranty for Quotation {self.id}" 
    

